- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
STOFFNote Struct Reference

a note More...

`#include <libstaroffice_internal.hxx>`

## Public Types
enum | Type { FootNote, EndNote }
| enum to define note type More...

## Public Member Functions
| STOFFNote (Type type)
| constructor More...

## Public Attributes
Type | m_type
| the note type More...
librevenge::RVNGString | m_label
| the note label More...
int | m_number
| the note number if defined More...

## Detailed Description

a note

## Member Enumeration Documentation

enum STOFFNote::Type

enum to define note type

Enumerator
FootNote |
EndNote |

## Constructor & Destructor Documentation

STOFFNote::STOFFNote | ( | Type | type | ) |
| inline explicit

constructor

## Member Data Documentation

librevenge::RVNGString STOFFNote::m_label

the note label

Referenced by STOFFSpreadsheetListener::insertNote().

int STOFFNote::m_number

the note number if defined

Referenced by STOFFSpreadsheetListener::insertNote().

Type STOFFNote::m_type

the note type

Referenced by STOFFSpreadsheetListener::insertNote().

The documentation for this struct was generated from the following file:

- libstaroffice_internal.hxx